
require('src.globals')

quads = require('src.quads')
states = require('lib.states')
gamera = require('lib.gamera')
bump = require('lib.bump')

game = require('src.states.game')

function love.load()
  love.graphics.setDefaultFilter('nearest','nearest')
  states.init({game=game}, "game")
end

function love.draw()
  states.draw()
end

function love.update(dt)
  states.update(dt)
end

function love.mousepressed(x, y, button)
  states.mousepressed(x, y, button)
end

function love.keypressed(key)
  states.keypressed(key)
end

function love.keyreleased(key)
  states.keyreleased(key)
end
