
local player = {x=tilesize*2,y=tilesize*2,yvel=0,w=15.3,h=15.3,name="player",speed=100}
world:add(player, player.x, player.y, player.w, player.h)

local lk = love.keyboard
local repeatT1, repeatM1, repeatT2, repeatM2 = 0, 0.1, 0, 0.1

function filterP(item, other)
  if not other.collide then else return 'slide' end
  if other.name=="brush" then
    local c = love.math.random(1,1500)
  end
  if other.name=="wall" then
    print("wall")
  end
end

function player.draw()
  love.graphics.setColor(255, 255, 255)
  love.graphics.draw(atlas, quads.player, math.floor(player.x), math.floor(player.y), 0, 1)
end

function player.spawn(x, y)
  world:update(player, x, y)
  player.x, player.y = x, y
end

function player.update(dt)
  if lk.isDown("up", "w") then
    if repeatT1 > repeatM1 then
      player.y = player.y - tilesize
      repeatT1 = 0
    else repeatT1 = repeatT1 + dt end
  elseif lk.isDown("down", "s") then
    if repeatT1 > repeatM1 then
      player.y = player.y + tilesize
      repeatT1 = 0
    else repeatT1 = repeatT1 + dt end
  end
  if lk.isDown("right", "d") then
    if repeatT2 > repeatM2 then
      player.x = player.x + tilesize
      repeatT2 = 0
    else repeatT2 = repeatT2 + dt end
  elseif lk.isDown("left", "a") then
    if repeatT2 > repeatM2 then
      player.x = player.x - tilesize
      repeatT2 = 0
    else repeatT2 = repeatT2 + dt end
  end
  local newX, newY, cols, len = world:move(player, player.x, player.y, filterP)
  player.x = newX; player.y = newY
  cam:setPosition(math.floor(player.x),math.floor(player.y))
end

function player.keypressed(key)
  if key == "space" then
    for k, v in ipairs(painter.tiles) do
      if v.x/tilesize == math.floor(player.x/tilesize) and v.y == math.floor(player.y/tilesize)-1 then
        if v.name == "water" then
          print("water")
        end
      end
    end
  end
end

return player
