
local game = {_NAME = "game"}
world = bump.newWorld(16)
player = require('src.player')
painter = require('src.mapPainter')

function game:load()
  map = painter.convert('res/map/1.png')
  cam = gamera.new(0, 0, 3000, 2800)
  painter.tile(map)
  painter.debug()
  mx, my = love.mouse.getPosition()
end

function game:draw()
  cam:draw(function()
    painter.paint()
    player.draw()
  end)
  love.graphics.print(math.floor(player.x/tilesize) .. " " .. math.floor(player.y/tilesize), 10, 10)
end

function game:update(dt)
  mx, my = love.mouse.getPosition()
  player.update(dt)
end

function game:mousepressed(x, y, button)

end

function game:keypressed(key)
  player.keypressed(key)
end

return game
